echo off
cls
echo.
echo    *********************************************************************
echo    *                  Mini-Gun for Duke Nukem 3D                       *
echo    *                          Launcher                                 *
echo    *********************************************************************
echo.
echo    CHOICES:
echo    (S)tart Duke3d with the Mini-Gun
echo    (B)ack-Up the Mini-Gun files
echo    (R)emove ALL Mini-Gun files (including backup)
echo    (Q)uit
echo.
choice /c:sbrq /n
if errorlevel 4 goto quit
if errorlevel 3 goto remove
if errorlevel 2 goto backup
if errorlevel 1 goto launch

:launch
if not exist tiles000.min goto smallerror
if not exist tiles009.min goto smallerror
if not exist minigun.voc goto smallerror
if not exist user.min goto smallerror
if not exist game.con goto bigerror
if not exist defs.con goto bigerror
if not exist duke3d.exe goto bigerror
if exist tiles009.art ren tiles009.art tiles009.xxx
cls
ren tiles009.min tiles009.art
cls
if exist tiles000.art ren tiles000.art tiles000.xxx
cls
ren tiles000.min tiles000.art
cls
if exist user.con ren user.con user.xxx
cls
ren user.min user.con
cls
duke3d
cls
ren user.con user.min
cls
if exist user.xxx ren user.xxx user.con
cls
ren tiles009.art tiles009.min
cls
if exist tiles009.xxx ren tiles009.xxx tiles009.art
cls
ren tiles000.art tiles000.min
cls
if exist tiles000.xxx ren tiles000.xxx tiles000.art
cls
echo.
echo    Mini-Gun for Duke Nukem 3D
echo     -=SabbathGuy@yahoo.com=-
echo.
echo.
echo.
goto end

:backup
if exist mini_bak\*.* goto bakexists
cls
echo.
echo    Backing up Mini-Gun files to directory '\mini_bak'...
echo    Continue? [Y/N]
echo.
choice /c:yn /n
if errorlevel 2 goto main
if errorlevel 1 goto contbak

:bakexists
cls
echo.
echo    A backup of the Mini-Gun files already exists.
echo    It is not necessary to back it up again.
echo    Continue anyway? [Y/N]
echo.
choice /c:yn /n
if errorlevel 2 goto main
if errorlevel 1 goto overbak

:contbak
if not exist tiles009.min goto smallerror
if not exist tiles000.min goto smallerror
if not exist user.min goto smallerror
if not exist minigun.voc goto smallerror
md mini_bak
copy tiles009.min mini_bak
cls
copy tiles000.min mini_bak
cls
copy user.min mini_bak
cls
copy minigun.voc mini_bak
cls
echo.
echo    Backup COMPLETED...
echo.
pause
goto main

:overbak
cls
if not exist tiles009.min goto smallerror
if not exist user.min goto smallerror
if not exist minigun.voc goto smallerror
copy /y tiles009.min mini_bak
cls
copy /y tiles000.min mini_bak
cls
copy /y user.min mini_bak
cls
copy /y minigun.voc mini_bak
cls
echo.
echo    Backup Completed...
pause
goto main

:remove
cls
echo.
echo    Are you sure you wish to PERMANENTLY remove the Mini-Gun files?
echo    [Y/N]
echo.
choice /c:yn /n
if errorlevel 2 goto main
if errorlevel 1 goto contremove

:contremove
if exist tiles009.min del tiles009.min
cls
if exist tiles000.min del tiles000.min
cls
if exist user.min del user.min
cls
if exist minigun.voc del minigun.voc
cls
if exist mini_bak\*.* deltree /y mini_bak
cls
echo.
echo    Permanent removal of Mini-Gun files Completed...
echo    (You must delete this batch file and the minigun readme by hand)
echo.
pause
goto end

:quit
cls
echo.
echo    Mini-Gun for Duke Nukem 3D
echo     -=SabbathGuy@yahoo.com=-
echo.
echo.
echo.
goto end


:bigerror
cls
echo.
echo    Cannot launch game - important game files (core duke3d modules)
echo    are missing.  Suggestion: place the minigun zip file in a safe
echo    place and re-install Duke Nukem 3D, then extract the Mini-Gun files
echo    back into your fresh duke3d directory and run this batch file again.
echo.
pause
goto main

:smallerror
cls
echo.
echo    Cannot proceed with current operation - important Mini-Gun
echo    file/s cannot be found in your Duke3D directory...
echo.
pause
goto main

:main
minigun.bat

:end
